# milvus-sdk-java

[![Maven Central](https://img.shields.io/maven-central/v/io.milvus/milvus-sdk-java.svg)](https://search.maven.org/artifact/io.milvus/milvus-sdk-java/)

Java SDK for [Milvus](https://github.com/milvus-io/milvus) distributed high-performance vector search engine. 
If you want to contribute to this repo, please read our [contribution guidelines](https://github.com/milvus-io/milvus/blob/master/CONTRIBUTING.md).

## Getting started

You will need Java 8 or higher.

Milvus version compatibility:

|Milvus version| SDK version|
|:-----:|:-----:|
| 0.5.0 | 0.2.2 | 
| 0.5.1 | 0.2.2 | 

### Dependency 

Apache Maven
```xml
<dependency>
    <groupId>io.milvus</groupId>
    <artifactId>milvus-sdk-java</artifactId>
    <version>0.2.2</version>
</dependency>
```

Gradle/Grails 

`compile 'io.milvus:milvus-sdk-java:0.2.2'`

### Examples

Please refer to [examples](https://github.com/milvus-io/milvus-sdk-java/tree/master/examples) folder

### Documentation

- [Javadoc](https://milvus-io.github.io/milvus-sdk-java/javadoc/index.html)
- [Milvus doc](https://milvus.io/docs/en/userguide/install_milvus/)

### Additional information

- The Java source code is formatted using [google-java-format](https://github.com/google/google-java-format).






